function Xi=ind2x(i,X,N)
// Converts into Subscripted Indices
//
// Calling Sequence
//   Xi=ind2x(i,X,N) 
//
// Parameters
// i: Vertex Indices
// X: Original Bounds
// N: Dimension
//
// Description
// Subscripted Indices used for the Vertex Property.
//
//Examples
// // Converts into Subscripted Indices
// Xi=ind2x(i,X,N) 
//
// See also
//  vertex
//  lin2sub
//  
// Authors
//  Mr. Dhiraj B. Magare
//  IDP in Systems and Control Engineering
//  Indian Institute of Technology Bombay;
//
//  Mr. Bhagyesh V. Patil
//  IDP in Systems and Control Engineering
//  Indian Institute of Technology Bombay;
//
//  Prof. P.S.V. Nataraj
//  IDP in Systems and Control Engineering
//  Indian Institute of Technology Bombay
// 

  dim=size(X,1);
  sub=lin2sub(i,N);
  Xi=zeros(dim,1);
  for j=1:dim,
      if(sub(j)==1) then,
         Xi(j)=X(j,1);
      else
         Xi(j)=X(j,2);
      end,
  end,
endfunction;



