function [y] = overview(x)
// OVERVIEW OF TOOLBOX
//
//
// Description
//Successfully installed toolbox must showing you, Global Optimization Toolbox name in 'Scilab Help' as well as in 'Scilab Demonstration' list.  
//
//For toolbox's execution use following command OR Under 'Scilab Demonstration' list click 'Univariate Example with GUI Facility':
// 
//  exec('Toolbox_Directory_Path\demos\Multivariate.sce');    // Use semicolon at end of the command. [e.g. exec('D:\Global_Optimization_toolbox\demos\Multivariate.sce');]
//
//  The same example with GUI messages explained below:
//
//  1) First step, it will asking for 'Enter Polynomial in the simplified format'.Followed by clicking 'Ok' button.
//   
//   e.g. Here default polynomial given is, x+2*y+10. Click 'Ok'.
//
//   Note: Use alphbetes between f to z and signs +,-,/,* and ^
//   
//   For Example: x+y*z-2*x^2+9999/9999
//
//   If polynomial is not in said format then, message will come 'Re-Enter Correct Polynomial','x+y*z-2*x^2+9999/9999'.
//   Hence polynomial should be in said format.    
//
//  2) Enter number of variable used in the polynomial. Followed by clicking 'Ok' button. 
//   
//   e.g. Here default value given is, 2. Click 'Ok'.
//
//   Number must be positive nonzero, therwise message will come 'Re-Enter Correct Number of Variables ?'.
//
//  3) Enter number of iteration to get an answer i.e. Global Minimum (zcap)
//   
//   e.g. Here default value given is, 250. Click 'Ok'.
//   
//   Note: Recommended that, start with the current value 250.
//
//   This count varies and it depends on entered polynomial and entered bounds.
//   
//   For some cases:
//   If 250 iterations completed and till program not getting or calculating answer Global minimum (zcap) with
//   given tolerences on global minimum and minimizer then, program again asking with message,
//   'You have exceeds given No. of Iterations. Press OK with new entry or put 0(zero) to stop ?'
//  
//   If you put '0', you may get global minimum,zcap with less accuracy.
//
//  4) Enter Bounds to respective variables: Lower Bound | Upper Bound 
//   
//    e.g. Here default value given is;
//    
//        [0,0;
//	      
//         0,0].
//
//   Don't click 'Ok' here, because bound's(Lower or Upper) number both should not be zero,otherwise message will come 'Re-Enter Correct Bounds to respective  //variables'.
//   
//   For this example, take as follows;
//	 
//         [0,1;
//
//         0,1].
//
//	 then, Click 'Ok'.
//
//   Note: One row shows, bounds for that (one) variable used in the polynomial. 
//         Here, First row showing bounds on 'x' variable.
//	 and second row showing bounds on 'y' variable.
//
//   Means, number of rows equal to number of variable, bounds on each element.
//
//  5) Enter Tolerance on Global minimizers/bounds i.e. Lsol
//
//    e.g. Here default value given is, 0.000001. Click 'Ok'.
//
//  6) Enter Tolerance on Global minimum i.e. zcap
//
//    e.g. Here default value given is, 0.000001. Click 'Ok'.
//
//  7) If 250 iteration completed and till program not calculating answer 
//   Global minimum (zcap) with given tolerences on global minimum and minimizer then, program again 
//   asking with message,
//   'You have exceeds given No. of Iterations.Press OK with new entry or put 0(zero) to stop ?'
//   
//    e.g. Here for this example, this message not comes.
//
//  That's all about execution of your polynomial, into this toolbox. 
//
//  ABOUT ANSWER:
//
//  For this example, on scilab console window you will get
// 
//    	zcap  =
// 
//    	10.
//  
//    	Lsol  =
// 
//    	 0    0  
//
//    	 0    0 . 
//	
//	ans =
//         18.12 .
//
//      Here, 'ans' is nothing but the time required for execution of a program. 
//
//
// 
// Authors
//  Mr. Dhiraj B. Magare
//  IDP in Systems and Control Engineering
//  Indian Institute of Technology Bombay ;
//
//  Mr. Bhagyesh V. Patil
//  IDP in Systems and Control Engineering
//  Indian Institute of Technology Bombay;
//
//  Prof. P.S.V. Nataraj
//  IDP in Systems and Control Engineering
//  Indian Institute of Technology Bombay
//
// Bibliography
//1. Shashwati Ray, P.S.V. Nataraj. An efficient algorithm for range computation of polynomials using the Bernstein form. Journal of Global Optimization, 45: 403-426,2009;
//2.	G. T. Cargo and O. Shisha. The Bernstein form of a polynomial. Jl. of research of NBS,70B:79-81,1966.
//3. S. Ray, A new approach to range computation of polynomial problems using the Bernstein form. PhD thesis, Systems and Control Engineering, IIT Bombay, India, 2007.
//







endfunction;
  
