function ind=sub2lin(sub,siz)
// Converts Subscripted Indices to Linear Indices
//
// Calling Sequence
//   ind=sub2lin(sub,siz) 
//
// Parameters
// sub: Subscripted Indices
// siz: Dimension
// ind: Linear Indices
//
// Description
// Linear Indices used for Vertex Property.
//
//
//Examples
// // Converts Subscripted Indices to Linear Indices
// ind=sub2lin(sub,siz) 
// // Linear indices are numerical value that indicates the position of a element
//
// See also
//  vertex
//  
// Authors
//  Mr. Dhiraj B. Magare
//  IDP in Systems and Control Engineering
//  Indian Institute of Technology Bombay;
//
//  Mr. Bhagyesh V. Patil
//  IDP in Systems and Control Engineering
//  Indian Institute of Technology Bombay;
//
//  Prof. P.S.V. Nataraj
//  IDP in Systems and Control Engineering
//  Indian Institute of Technology Bombay
// 

  k=[1 cumprod(siz(1:$-1))];
  k1=mtlb_repmat(k,size(sub,'r'),1);
  sub=sub-1;
  ind=sum((sub.*k1),2)+1;
endfunction;
